// package: bet.protobuf.pagination
// file: protobuf/pagination/search.proto

import * as jspb from 'google-protobuf';

export class Search extends jspb.Message {
  getKey(): string;
  setKey(value: string): void;

  getValue(): string;
  setValue(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Search.AsObject;
  static toObject(includeInstance: boolean, msg: Search): Search.AsObject;
  static extensions: { [key: number]: jspb.ExtensionFieldInfo<jspb.Message> };
  static extensionsBinary: {
    [key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>;
  };
  static serializeBinaryToWriter(
    message: Search,
    writer: jspb.BinaryWriter
  ): void;
  static deserializeBinary(bytes: Uint8Array): Search;
  static deserializeBinaryFromReader(
    message: Search,
    reader: jspb.BinaryReader
  ): Search;
}

export namespace Search {
  export type AsObject = {
    key: string;
    value: string;
  };
}
